Bug 238963

Summary: devel/dbus: rc.d file cleanup
Product: Ports & Packages Reporter: chadf
Component: Individual Port(s)Assignee: Mateusz Piotrowski <0mp>
Status: Closed FIXED    
Severity: Affects Only Me CC: 0mp
Priority: --- Flags: bugzilla: maintainer-feedback? (gnome)
Version: Latest   
Hardware: Any   
OS: Any   

Description chadf 2019-07-03 18:35:26 UTC
The dbus rc.d init file (files/dbus.in) contains:

# The following two lines may be removed after 2018-01-01
    rm -f /var/db/dbus/machine-id
    [ ! -d /var/db/dbus ] || rmdir /var/db/dbus


Can those lines be safely removed now?
Comment 1 Mateusz Piotrowski freebsd_committer 2020-10-03 16:45:03 UTC
Yes, thanks for the report.
Comment 2 commit-hook freebsd_committer 2020-10-03 16:46:29 UTC
A commit references this bug:

Author: 0mp
Date: Sat Oct  3 16:45:45 UTC 2020
New revision: 551330
URL: https://svnweb.freebsd.org/changeset/ports/551330

Log:
  devel/dbus: Remove remaining machine-id copy code

  It was most likely meant to be removed in r493840, together with other
  related bits.

  PR:		238963
  Reported by:	chadf@triularity.org
  Approved by:	portmgr blanket

Changes:
  head/devel/dbus/Makefile
  head/devel/dbus/files/dbus.in